# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.86"
name = "timely_bytes"
version = "0.29.0"
authors = ["Frank McSherry <fmcsherry@me.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Disjoint mutable byte slices from a common allocation"
homepage = "https://github.com/TimelyDataflow/timely-dataflow"
documentation = "https://docs.rs/timely/"
readme = false
keywords = [
    "timely",
    "dataflow",
    "bytes",
]
license = "MIT"
repository = "https://github.com/TimelyDataflow/timely-dataflow.git"

[lib]
name = "timely_bytes"
path = "src/lib.rs"

[lints.clippy]
bool_comparison = "warn"
borrow_interior_mutable_const = "warn"
borrowed_box = "warn"
builtin_type_shadow = "warn"
clone_on_ref_ptr = "warn"
crosspointer_transmute = "warn"
dbg_macro = "warn"
deref_addrof = "warn"
disallowed_macros = "warn"
disallowed_methods = "warn"
disallowed_types = "warn"
double_must_use = "warn"
double_parens = "warn"
duplicate_underscore_argument = "warn"
excessive_precision = "warn"
extra_unused_lifetimes = "warn"
from_over_into = "warn"
match_overlapping_arm = "warn"
module_inception = "allow"
must_use_unit = "warn"
mut_mutex_lock = "warn"
needless_borrow = "warn"
needless_pass_by_ref_mut = "warn"
needless_question_mark = "warn"
needless_return = "warn"
no_effect = "warn"
option_map_unit_fn = "allow"
panicking_overflow_checks = "warn"
partialeq_ne_impl = "warn"
print_literal = "warn"
redundant_closure = "warn"
redundant_closure_call = "warn"
redundant_field_names = "warn"
redundant_pattern = "warn"
redundant_slicing = "warn"
redundant_static_lifetimes = "warn"
same_item_push = "warn"
shadow_unrelated = "warn"
should_implement_trait = "allow"
single_component_path_imports = "warn"
suspicious_assignment_formatting = "warn"
suspicious_else_formatting = "warn"
suspicious_unary_op_formatting = "warn"
todo = "warn"
transmutes_expressible_as_ptr_casts = "warn"
type_complexity = "allow"
unnecessary_cast = "warn"
unnecessary_lazy_evaluations = "warn"
unnecessary_mut_passed = "warn"
unnecessary_unwrap = "warn"
unused_async = "warn"
useless_asref = "warn"
useless_conversion = "warn"
useless_format = "warn"
wildcard_in_or_patterns = "warn"
write_literal = "warn"
wrong_self_convention = "allow"
zero_divided_by_zero = "warn"
zero_prefixed_literal = "warn"
